#!/bin/bash

case "$1" in

	"snippets.d/bad-user-agents.conf")
		(
			while read DOMAIN
			do
				if [ -n "${DOMAIN}" ]
				then
					echo "BrowserMatchNoCase \"(?:\\b)${DOMAIN// /\\ }(?:\\b)\" bad_bot"
				fi
			done <.tmp/bad-user-agents.list
		) >snippets.d/bad-user-agents.conf
	;;

	"snippets.d/bad-referrers.conf")
		(
			while read REFERER
			do
				if [ -n "${REFERER}" ]
				then
					echo "SetEnvIfNoCase Referer ~*${REFERER//./\\.} spam_ref"
				fi
			done <.tmp/bad-referrers.list
		) >snippets.d/bad-referrers.conf
	;;

esac

